Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoDiscovery Class Reference
GoSdk/Internal

## Description

Represents a discovery client.

Inheritance diagram for GoDiscovery:

## Public Member Functions
kBool | GoDiscovery_CompatModeEnabled (GoDiscovery discovery)
| Gets the current state of compatibility mode. More...
kStatus | GoDiscovery_Construct (GoDiscovery *discovery, kBool enableAutoDiscovery, kAlloc allocator)
| Constructs a GoDiscovery object. More...
kStatus | GoDiscovery_EnableCompatMode (GoDiscovery discovery, kBool enable)
| Enables or disables compatibility mode. More...
kStatus | GoDiscovery_Enumerate (GoDiscovery discovery, kArrayList infoList)
| Enumerates sensors present in the network. More...
kStatus | GoDiscovery_GetAddress (GoDiscovery discovery, k32u deviceId, GoAddressInfo *address)
| Retrieves a sensor's network address settings. More...
kStatus | GoDiscovery_GetExtendedInfo (GoDiscovery discovery, k32u deviceId, GoDiscoveryExtInfo *info, kAlloc allocator)
| Retrieves a sensor's information. More...
kStatus | GoDiscovery_SetAddress (GoDiscovery discovery, k32u deviceId, const GoAddressInfo *address)
| Configures a sensor's network address settings. More...
kStatus | GoDiscovery_SetAllInterface (GoDiscovery discovery, kBool enable)
| Enable running the Gocator Discovery Protocol over all the host interfaces. More...
kStatus | GoDiscovery_SetEnumHandler (GoDiscovery discovery, GoDiscoveryEnumFx function, kPointer receiver)
| Sets the enumeration callback to be used when background updates are enabled via StartEnum. More...
kStatus | GoDiscovery_SetEnumPeriod (GoDiscovery discovery, k64u period)
| Sets the enumeration period that will be used when background updates are enabled via StartEnum. More...
kStatus | GoDiscovery_SetOneInterface (GoDiscovery discovery, kIpAddress *address, kBool enable)
| Enable or disable running the Gocator Discovery Protocol over the specified host interface which the given address. More...
kStatus | GoDiscovery_StartEnum (GoDiscovery discovery, kBool waitFirst)
| Starts periodic background discovery enumeration. More...
kStatus | GoDiscovery_StopEnum (GoDiscovery discovery)
| Stops periodic background discovery enumeration. More...

The documentation for this class was generated from the following file:

- Internal/GoDiscovery.h